announcement-bar,
announcement-slider {
  display: block;
}

.announcement-bar-content :is(.countdown-counter, .localization) {
  display: none;
  align-self: center;
}

.announcement-bar {
  background: rgba(var(--background-color));
  color: rgba(var(--text-color));
}

.announcement-block {
  display: block;
  overflow: hidden;
  width: 100%;
  max-width: 31.25rem;
  margin: 0rem auto;
  position: relative;
  padding: 0rem 2rem;
}

.announcement-block .swiper-wrapper {
  align-items: center;
  height: auto;
}

.announcement-block .swiper-button {
  width: 0.625rem;
  height: 0.625rem;
  background: transparent;
  color: rgb(var(--text-color));
  margin: 0;
  border: 0;
  transform: translateY(-50%);
}

.announcement-block .swiper-button:after {
  font-size: var(--text-small);
  font-weight: var(--heading-font-weight);
}

.countdown-timer--wrapper {
  display: flex;
  align-items: self-end;
  grid-gap: 0.625rem;
  font-size: var(--text-small);
}

.announcement-bar-text + .announcement-bar-text {
  display: none;
}

.announcement-bar-text {
  text-align: center;
  font-size: var(--text-small);
}
.announcement-bar-text p {
  margin: 0;
  max-height: 2.375rem;
  overflow-y: auto;

  padding: 0rem 1rem;
}


@media screen and (min-width: 1025px) {
  .announcement-bar-content {
    display: grid;
    grid-template-columns: auto 1fr auto;
    padding: 0.625rem 0;
  }
  .announcement-bar-content :is(.countdown-counter, .localization) {
    display: block;
  }
  .announcement-bar:not(.announcement-with-currency, .announcement-with-counter)
    .announcement-block {
    grid-area: span 1 / span 3;
  }
  .announcement-bar.announcement-with-currency:not(.announcement-with-counter)
    .announcement-block,
  .announcement-bar.announcement-with-counter:not(.announcement-with-currency)
    .announcement-block {
    grid-area: span 1 / span 2;
    margin: 0;
  }
  .announcement-bar.announcement-with-counter:not(.announcement-with-currency)
    .announcement-block {
    margin-left: auto;
  }
  .announcement-bar--inner {
    padding: 2px 0;
  }
}

@media screen and (min-width: 1100px) {
  .announcement-bar-content {
    grid-template-columns: 1fr auto 1fr;
  }
}

@media screen and (max-width: 768px) {
  .announcement-block {
    padding: 0.2rem 2rem;
  }
  .announcement-bar--inner {
    padding: 4px 0;
}
}
@media (min-width: 768px) and (max-width: 1080px) {
  .announcement-bar {
    padding: .6rem 0;
  }
}

